<?php
/**
*
* @package ppkBB3cker
* @version $Id: memberlist_add1_torrent.php 1.000 2009-02-21 14:13:00 PPK $
* @copyright (c) 2008, 2009 PPK
* http://ppkbb3cker.rx22.ru, http://protoneutron.narod.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
					$sort_opt[$torrent_opt]=array('topic_title', 'downloaded', 'uploaded', 'ratio', 'to_go', 'last_action', 'startdat', 'completedat');
					if(!in_array($opt_param, $sort_opt[$torrent_opt]))
					{
						$opt_param=$sort_opt[$torrent_opt][0];
					}
						foreach($sort_opt[$torrent_opt] as $v)
						{
							$template->assign_vars(array(
								'TORRENT_SORT_HEADER_'.strtoupper($v) => "{$memberlist_url}&amp;opt={$torrent_opt}&amp;opts=".($opt_sort=='DESC' ? 'ASC' : 'DESC')."&amp;optp={$v}#opt",
										)
									);
						}
						if($opt_param=='ratio')
						{
							$sql_addon="s.uploaded/s.downloaded $opt_sort";
						}
						else
						{
							$sql_addon="$opt_param $opt_sort";
						}

					$sql="SELECT tt.size, t.topic_title, t.topic_first_post_id, s.* FROM ".TRACKER_TORRENTS_TABLE." tt LEFT JOIN ".TOPICS_TABLE." t ON tt.poster_id=t.topic_poster AND tt.post_msg_id=t.topic_first_post_id LEFT JOIN ".TRACKER_SNATCHED_TABLE." s ON tt.id=s.torrent AND s.userid=tt.poster_id WHERE tt.poster_id='$user_id' ORDER BY $sql_addon";
					$result=$db->sql_query($sql);
					while($userlist=$db->sql_fetchrow($result))
					{
						$i3+=1;
						$assign_vars[$i3]['TORRENT_NAME'] = $userlist['topic_title'] ? "<a href='".append_sid("{$phpbb_root_path}viewtopic.$phpEx", "p={$userlist['topic_first_post_id']}")."#p{$userlist['topic_first_post_id']}'>{$userlist['topic_title']}</a>" : '&nbsp;';
						$assign_vars[$i3]['TORRENT_UP'] = get_formatted_filesize($userlist['uploaded'], 0).' '.get_size_lang($userlist['uploaded']);

						$assign_vars[$i3]['TORRENT_DOWN'] = get_formatted_filesize($userlist['downloaded'], 0).' '.get_size_lang($userlist['downloaded']);

						$assign_vars[$i3]['TORRENT_RATIO'] = get_ratio($userlist['uploaded'], $userlist['downloaded']);
						$assign_vars[$i3]['TORRENT_COMPLETED'] = @sprintf("%.2f%%", 100 * (1 - ($userlist["to_go"] / $userlist['size'])));
						$assign_vars[$i3]['TORRENT_START'] =  $userlist['startdat'] ? date('Y-m-d H:i:s', $userlist['startdat']) : '';
						$assign_vars[$i3]['TORRENT_END'] =  $userlist['completedat'] ? date('Y-m-d H:i:s', $userlist['completedat']) : '';
						$assign_vars[$i3]['TORRENT_LAST'] =  $userlist['last_action']? date('Y-m-d H:i:s', $userlist['last_action']) : '';
					}
					$torrent_info_curr=$torrent_opt;
					$torrent_info[$torrent_opt]='<b>'.$torrent_info[$torrent_info_curr].'</b> ('.$i3.')';
					$torrent_info_curr_explain[$torrent_opt]=$user->lang['USER_TORRENT'];
?>